createNasVolumeSnapshot

Prev Next

Available in Classic

Create a snapshot of a NAS volume instance.

Note

Before running the createNasVolumeSnapshot API, check the capacity information of the snapshot. f the capacity allocated for the snapshot is exceeded after running the API, the snapshot may not be created or past snapshots may be deleted.

Requests

The following describes the request format for the endpoint. The request format is as follows.

Method URI
GET | POST /server/v2/createNasVolumeSnapshot
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all NAS APIs, see NAS request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
nasVolumeInstanceNo String Required Unique number of the NAS volume instance

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/server/v2/createNasVolumeSnapshot
?nasVolumeInstanceNo=00000000' \
--header 'x-ncp-apigw-timestamp: {timestamp}' \
--header 'x-ncp-iam-access-key: {access key}' \
--header 'x-ncp-apigw-signature-v2: {API gateway signature}'

Responses

The following describes the response format.

Response body

See NasVolumeSnapshotList for the response body.

Response status codes

For information about the HTTP status codes common to all NAS APIs, see NAS response status codes.

Response example

The following is a sample response.

<?xml version="1.0" encoding="UTF-8"?>
<createNasVolumeSnapshotResponse>
    <requestId></requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>2</totalRows>
    <nasVolumeSnapshotList>
        <nasVolumeSnapshot>
            <nasVolumeSnapshotName>now.20240403.164347</nasVolumeSnapshotName>
            <createDate>2024-04-03T16:43:47+0900</createDate>
            <snapshotSize>0</snapshotSize>
            <isBusy>false</isBusy>
        </nasVolumeSnapshot>
        <nasVolumeSnapshot>
            <nasVolumeSnapshotName>now.20240403.164335</nasVolumeSnapshotName>
            <createDate>2024-04-03T16:43:35+0900</createDate>
            <snapshotSize>147456</snapshotSize>
            <isBusy>false</isBusy>
        </nasVolumeSnapshot>
    </nasVolumeSnapshotList>
</createNasVolumeSnapshotResponse>